%define anolis_release 2
%global pypi_name sacremoses
%global pypi_version 0.1.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        SacreMoses

License:        MIT
URL:            https://github.com/hplt-project/sacremoses
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python port of Moses tokenizer, truecaser and normalizer

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)
Requires:       python3dist(joblib)
Requires:       python3dist(regex)
Requires:       python3dist(tqdm)
%description -n python3-%{pypi_name}
Python port of Moses tokenizer, truecaser and normalizer

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info
%{_bindir}/sacremoses

%changelog
* Sun Feb 04 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.1.1-2
- Fix spec error.

* Fri Feb 02 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.1.1-1
- Initial package.
